-------------------------------------------------
-- Required properties and miscellaneous media --
-------------------------------------------------
local AddOnName, nsVars = ...
local ss = nsVars.SS


local mtSharedMedia = {
  textureLocation = "Interface\\AddOns\\SeamoreSpheres\\media\\textures\\",
  fontLocation    = "Interface\\Addons\\SeamoreSpheres\\media\\fonts\\",
  fontChoices     = {
    [1] = "Interface\\AddOns\\SeamoreSpheres\\media\\fonts\\Of Wildflowers and Wings.ttf",
    [2] = "Fonts\\ARIALN.TTF",
    [3] = "Fonts\\FRIZQT__.TTF",
    [4] = "Fonts\\skurri.TTF",
    [5] = "Fonts\\MORPHEUS.TTF",
  },
  artworkTextures = {
    [1] = {
      angel = "d3_angel2test.tga",
      demon = "d3_demon2test.tga",
    },
    [2] = {
      angel = "d3_angel2.tga",
      demon = "d3_demon2.tga",
    },
  },
};

function mtSharedMedia.getArtwork(group, index)
  return mtSharedMedia.textureLocation..mtSharedMedia.artworkTextures[group][index]
end

ss["SharedMedia"] = setmetatable({}, { __index = mtSharedMedia });
